#ifndef EDITDIALOG_H
#define EDITDIALOG_H

#include <QDialog>
#include <QStringList>
#include <QLineEdit>
#include <QListView>
#include <QTextEdit>
#include <QStringListModel>


class EditDialog : public QDialog
{
    Q_OBJECT

public:
    explicit EditDialog(QStringList *localDico, QWidget *parent = 0);
    ~EditDialog(){}

private slots:
    void on_pushButton_Ajouter_clicked();
    void on_pushButton_Supprimer_clicked();
    void on_buttonBox_accepted();
    void on_buttonBox_rejected();

private:
    QListView *listView;
    QLineEdit *lineEditMot;
    QStringList *localDico;
    QStringList *PpalDico;
    QStringListModel *modele;

public slots:
    int exec();

};

#endif // EDITDIALOG_H
